name := "QuestionnaireServer"
 
scalaVersion := "2.11.8"

resolvers += "Java.net Maven2 Repository" at "http://download.java.net/maven/2/"

resolvers ++= Seq("snapshots"     at "https://oss.sonatype.org/content/repositories/snapshots",
                  "staging"       at "https://oss.sonatype.org/content/repositories/staging",
                  "releases"      at "https://oss.sonatype.org/content/repositories/releases"
                 )

resolvers += "Typesafe" at "https://repo.typesafe.com/typesafe/ivy-releases/"
 
enablePlugins(JettyPlugin)
 
libraryDependencies ++= {
  val liftVersion = "2.6.2"
  val widgetsVersion = "1.4-SNAPSHOT"
  val jqueryVersion = "2.10"
  Seq(
    "net.liftweb" %% "lift-webkit" % liftVersion % "compile->default",
    "net.liftweb" %% "lift-mapper" % liftVersion % "compile->default",
    "net.liftweb" %% "lift-wizard" % liftVersion % "compile->default",
    "net.liftmodules" %% "widgets_2.6" % widgetsVersion % "compile->default",
    "net.liftmodules" %% "lift-jquery-module_2.6" % jqueryVersion
  )
}
 
libraryDependencies ++= Seq(
  "javax.servlet" % "javax.servlet-api" % "3.1.0" % "provided->default",
  "com.h2database" % "h2" % "1.4.187",
  "org.slf4j" % "slf4j-log4j12" % "1.7.7"
)

libraryDependencies := {
  CrossVersion.partialVersion(scalaVersion.value) match {
    // if scala 2.12+ is used, use scala-swing 2.x
    case Some((2, scalaMajor)) if scalaMajor >= 12 =>
      libraryDependencies.value ++ Seq(
        "org.scala-lang.modules" %% "scala-xml" % "1.0.6",
        "org.scala-lang.modules" %% "scala-parser-combinators" % "1.0.4",
        "org.scala-lang.modules" %% "scala-swing" % "2.0.0-M2")
    // if scala 2.11+ is used, add dependency on scala-xml module
    case Some((2, scalaMajor)) if scalaMajor >= 11 =>
      libraryDependencies.value ++ Seq(
        "org.scala-lang.modules" %% "scala-xml" % "1.0.6",
        "org.scala-lang.modules" %% "scala-parser-combinators" % "1.0.4",
        "org.scala-lang.modules" %% "scala-swing" % "1.0.2")
    case _ =>
      // or just libraryDependencies.value if you don't depend on scala-swing
      libraryDependencies.value :+ "org.scala-lang" % "scala-swing" % scalaVersion.value
  }
}

scalacOptions in Compile ++= Seq(
	"-deprecation"
)

// because the Servlet-Implementation is incompatible with Jetty-9,
// we continue to use the old 8.1.0-version
containerLibs in Jetty := Seq("org.mortbay.jetty" % "jetty-runner" % "8.1.0.RC2" intransitive())
containerMain in Jetty := "org.mortbay.jetty.runner.Runner"

// by default, it listens on port 8080; use the following to override
containerPort := 8081